Cell (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.align
Interface Cell

All Superinterfaces:
  Comparable<Cell>, Visitable

All Known Implementing Classes:
  BasicCell, EDOALCell, ObjectCell, URICell

    public interface Cell

extends Comparable<Cell>, Visitable

Represents an correspondence between ontology entities. An ontology comprises a number of collections. Each ontology has a number of classes, properties and individuals, along with a number of axioms asserting information about those objects.

Version:
  $Id: Cell.java 1189 2010-01-03 17:57:13Z euzenat $
Author:
  Jérôme Euzenat

Method Summary
`Cell` | `compose(Cell c)`
`void` | `dump(ContentHandler h)` Housekeeping
`boolean` | `equals(Cell c)`
`String` | `getExtension(String uri, String label)`
`Collection<String[]>` | `getExtensions()` Extensions are a way to read and add other information (metadata) to the Cell structure itself.
`String` | `getId()` Creation
`Object` | `getObject1()`
`URI` | `getObject1AsURI()` //@deprecated use getObject1AsURI( null ) instead
`URI` | `getObject1AsURI(Alignment al)`
`Object` | `getObject2()`
`URI` | `getObject2AsURI()` //@deprecated use getObject2AsURI( null ) instead
`URI` | `getObject2AsURI(Alignment al)`
`Relation` | `getRelation()`
`String` | `getSemantics()`
`double` | `getStrength()`
`Cell` | `inverse()`
`void` | `setExtension(String uri, String label, String value)`
`void` | `setId(String id)`
`void` | `setObject1(Object ob)`
`void` | `setObject2(Object ob)`
`void` | `setRelation(Relation r)`
`void` | `setSemantics(String s)`
`void` | `setStrength(double m)`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.semanticweb.owl.align.Visitable
`accept`

Method Detail

### getId

    String getId()

  Creation

### setId

    void setId(String id)

### getSemantics

    String getSemantics()

### setSemantics

    void setSemantics(String s)

### getObject1

    Object getObject1()

### getObject2

    Object getObject2()

### getObject1AsURI

    URI getObject1AsURI()
                        throws AlignmentException

  //@deprecated use getObject1AsURI( null ) instead

  Throws:
    `AlignmentException`

### getObject2AsURI

    URI getObject2AsURI()
                        throws AlignmentException

  //@deprecated use getObject2AsURI( null ) instead

  Throws:
    `AlignmentException`

### getObject1AsURI

    URI getObject1AsURI(Alignment al)
                        throws AlignmentException

  Throws:
    `AlignmentException`

### getObject2AsURI

    URI getObject2AsURI(Alignment al)
                        throws AlignmentException

  Throws:
    `AlignmentException`

### setObject1

    void setObject1(Object ob)
                    throws AlignmentException

  Throws:
    `AlignmentException`

### setObject2

    void setObject2(Object ob)
                    throws AlignmentException

  Throws:
    `AlignmentException`

### getRelation

    Relation getRelation()

### setRelation

    void setRelation(Relation r)

### getStrength

    double getStrength()

### setStrength

    void setStrength(double m)

### equals

    boolean equals(Cell c)

### getExtensions

    Collection<String[]> getExtensions()

  Extensions are a way to read and add other information (metadata) to the Cell structure itself. getExtensions returns a set of tripes: uri*label*value all three being String

### getExtension

    String getExtension(String uri,
                        String label)

### setExtension

    void setExtension(String uri,
                      String label,
                      String value)

### inverse

    Cell inverse()
                 throws AlignmentException

  Throws:
    `AlignmentException`

### compose

    Cell compose(Cell c)
                 throws AlignmentException

  Throws:
    `AlignmentException`

### dump

    void dump(ContentHandler h)

  Housekeeping

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010